package com.clx.performance.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.model.OrderGoodsLog;
import com.clx.performance.param.pc.OrderGoodsLogParam;
import com.clx.performance.vo.pc.OrderGoodsLogVO;

import java.util.List;

/**
 * @author kavin
 * Date 2023-10-26
 * Time 11:27
 */
public interface OrderGoodsLogService {
    void saveLog(String orderGoodsNo,Long userNo,String userName,String type,String remark);

    IPage<OrderGoodsLogVO> pageOrderGoodsLog(OrderGoodsLogParam param);

    void saveBatchLog(List<OrderGoodsLog> logs);
}
